View Issue Details

IDProjectCategoryView StatusLast Update
0020076mantisbtbugtrackerpublic2016-06-12 00:43
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020076: auto_set_status_to_assigned is different in 1.3
Description

Regarding the "auto_set_status_to_assigned = ON" option

this is the difference in 1.3 (beta2) from 1.2.19: (bug_update.php)

1.3.beta2

# Handle automatic assignment of issues.
if( $t_existing_bug->handler_id === NO_USER &&
     $t_updated_bug->handler_id !== NO_USER &&
     $t_updated_bug->status < config_get( 'bug_assigned_status' ) &&
     config_get( 'auto_set_status_to_assigned' ) ) {
    $t_updated_bug->status = config_get( 'bug_assigned_status' );
}

This is from 1.2.19

    # Handle auto-assigning
    if ( ( config_get( 'bug_submit_status' ) == $t_bug_data->status )
      && ( $t_bug_data->status == $t_old_bug_status )
      && ( 0 != $t_bug_data->handler_id )
      && ( ON == config_get( 'auto_set_status_to_assigned' ) ) ) {
        $t_bug_data->status = config_get( 'bug_assigned_status' );
    }

Notice that in 1.2.x the status would be changed to the "bug_assigned_status" only if the bug update does not modify bug status.
This makes sense, since mostly it gets triggered by the "assign to" button

In 1.3, it also effect if a status change is triggered from bug view page, thus setting the new status to ASSIGN, regardless of requested status.
This happens from the status change dialog (bug_change_status_page.php), where a assigned user is also set (defaulted to the active user).

Additional Information

I suggest this change to 1.3 code:

# Handle automatic assignment of issues.
if( $t_existing_bug->handler_id === NO_USER &&
         $t_updated_bug->status == $t_existing_bug->status &&
     $t_updated_bug->handler_id !== NO_USER &&         
     $t_updated_bug->status < config_get( 'bug_assigned_status' ) &&
     config_get( 'auto_set_status_to_assigned' ) ) {
    $t_updated_bug->status = config_get( 'bug_assigned_status' );
}
TagsNo tags attached.

Relationships

has duplicate 0020223 closedvboctor Changing status to acknowledged, sets it to assigned 

Activities

atrol

atrol

2015-09-09 09:37

developer   ~0051426

Last edited: 2015-09-09 09:39

View 3 revisions

Targetting to 1.3.x as this is really confusing

if a status change is triggered from bug view page (button "Change Status To:" on view.php, e.g. change to FEEDBACK), the new status is set to ASSIGNED

cproensa

cproensa

2015-09-10 14:33

developer   ~0051439

https://github.com/mantisbt/mantisbt/pull/645

Related Changesets

MantisBT: master bd603b38

2015-09-10 14:06:40

cproensa


Committer: dregad Details Diff
Automatic assignment: check for assignment change only

For 'auto_set_status_to_assigned', only change status when bug change
exclusively affects assignment.

A new assignement that is part of a status change is not applied now.
This is the behaviour from 1.2.x

Fixes 0020076

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - bug_update.php Diff File

Issue History

Date Modified Username Field Change
2015-09-04 04:34 cproensa New Issue
2015-09-09 09:37 atrol Status new => confirmed
2015-09-09 09:37 atrol Note Added: 0051426
2015-09-09 09:37 atrol Target Version => 1.3.0-rc.1
2015-09-09 09:39 atrol Note Edited: 0051426 View Revisions
2015-09-09 09:39 atrol Note Edited: 0051426 View Revisions
2015-09-10 14:33 cproensa Note Added: 0051439
2015-10-25 11:50 vboctor Relationship added has duplicate 0020223
2015-12-06 02:55 vboctor Target Version 1.3.0-rc.1 => 1.3.0-rc.2
2015-12-20 17:35 dregad Changeset attached => MantisBT master bd603b38
2015-12-20 17:35 dregad Assigned To => dregad
2015-12-20 17:35 dregad Status confirmed => resolved
2015-12-20 17:35 dregad Resolution open => fixed
2015-12-20 17:35 dregad Fixed in Version => 1.3.0-rc.2
2015-12-21 13:51 atrol Assigned To dregad => community
2016-01-19 15:23 atrol Assigned To community => cproensa
2016-06-12 00:43 vboctor Status resolved => closed